import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/features/forgotPassword/presentation/pages/restore_password_phone_verification_layout.dart';

import '../../../../core/styles/app_color.dart';
import '../bloc/restore_password_phone_verification_bloc.dart';

class RestorePasswordPhoneVerificationScreen extends StatelessWidget {
  const RestorePasswordPhoneVerificationScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      resizeToAvoidBottomInset: true,
      body: MultiBlocProvider(
        // Define the providers for the OnboardingBloc and other blocs
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => RestorePasswordPhoneVerificationBloc(),
          ),
        ],
        child: const RestorePasswordPhoneVerificationLayout(),
      ),
    );
  }
}
